Customizing the Viewer
Our sample projects and report templates can help you learn the basics of working with our products.Every part of the viewer — toolbar buttons, export formats, appearance — is toggled through the options object.
In Vue.
How it works. The options object has a flag for every UI element, so the viewer can be trimmed to exactly what your app needs.
In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");
var options = new Stimulsoft.Viewer.StiViewerOptions();
options.appearance.theme = Stimulsoft.Viewer.StiViewerTheme.Office2022LightGrayTeal;
options.appearance.fullScreenMode = true;
options.toolbar.showOpenButton = false;
options.exports.showExportToPdf = false;
</script>
<template>
<Viewer :report="report" :options="options" />
</template>toolbar.showOpenButton/exports.showExportToPdf— show or hide individual toolbar and export commands.appearance.theme/fullScreenMode— the overall look of the viewer.
How it works. The options object has a flag for every UI element, so the viewer can be trimmed to exactly what your app needs.

Every part of the viewer — toolbar buttons, export formats, appearance — is toggled through the options object.

In Angular.
import { Component } from "@angular/core";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-angular/viewer";

@Component({
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="options"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Viewer.StiViewerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");

        this.options = new Stimulsoft.Viewer.StiViewerOptions();
        this.options.appearance.theme = Stimulsoft.Viewer.StiViewerTheme.Office2022LightGrayTeal;
        this.options.appearance.fullScreenMode = true;
        this.options.toolbar.showOpenButton = false;
        this.options.exports.showExportToPdf = false;
    }
}

How it works. The options object has a flag for every UI element, so the viewer can be trimmed to exactly what your app needs.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.